# AlarmImporter

# Class AlarmImporter

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Classe statica per l’importazione di allarmi da file Excel (.xlsx)
nella struttura del progetto FTOptix, inclusi dizionari e traduzioni.

    public static class AlarmImporter

#### Inheritance

object ←
AlarmImporter

#### Inherited Members

object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Methods

### ImportAlarmsInsideOwner(IUANode, string, string)

Importa allarmi da un file Excel nella struttura del progetto,
collegandoli al nodo logico specificato.

    public static void ImportAlarmsInsideOwner(this IUANode owner, string alrmFilePath, string fileName)

#### Parameters

`owner` IUANode

Nodo logico a cui verranno aggiunti dizionari e allarmi.

`alrmFilePath` string

Percorso completo del file Excel contenente gli allarmi.

`fileName` string

Nome utilizzato per creare le sottocartelle nel progetto.